omniauth-gnusocial.gemspec 889B

1234567891011121314151617181920212223
  1. # -*- encoding: utf-8 -*-
  2. $:.push File.expand_path("../lib", __FILE__)
  3. require "omniauth-gnusocial/version"
  4. Gem::Specification.new do |s|
  5. s.name = "omniauth-gnusocial"
  6. s.version = OmniAuth::GNUsocial::VERSION
  7. s.authors = ["chimo"]
  8. s.email = ["chimo@chromic.org"]
  9. s.homepage = "https://github.com/chimo/omniauth-gnusocial"
  10. s.description = %q{OmniAuth strategy for GNU social}
  11. s.summary = s.description
  12. s.license = "MIT"
  13. s.files = `git ls-files`.split("\n")
  14. s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  15. s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  16. s.require_paths = ["lib"]
  17. s.required_ruby_version = Gem::Requirement.new('>= 1.9.3')
  18. s.add_dependency 'omniauth-oauth', '~> 1.1'
  19. s.add_dependency 'rack'
  20. s.add_development_dependency 'bundler', '~> 1.0'
  21. end